Lapack::leastSquaresBySVD
Lapack::singularValues
Lapack
PHP Manual

# Lapack::pseudoInverse

Calculate the inverse of a matrix

### Description

public static array Lapack::pseudoInverse ( array `$a` )

Find the pseudoinverse of a matrix A.

### Parameters

`a`

  Matrix to invert

### Return Values

Inverted matrix (array of arrays).

### Examples

Example #1 Using Lapack::pseudoInverse:

`<?php
$a = array(
array( 8, 1, 6 ),
array( 3, 5, 7 ),
array( 4, 9, 2 ),
);
$result = Lapack::pseudoInverse($a);
?>`